CreateOnDemandHttpProbeDetails¶
- class oci.healthchecks.models.CreateOnDemandHttpProbeDetails(**kwargs)¶
Bases:
objectThe request body used to create an on-demand HTTP probe.
Attributes:
A constant which can be used with the method property of a CreateOnDemandHttpProbeDetails.
A constant which can be used with the method property of a CreateOnDemandHttpProbeDetails.
A constant which can be used with the protocol property of a CreateOnDemandHttpProbeDetails.
A constant which can be used with the protocol property of a CreateOnDemandHttpProbeDetails.
[Required] Gets the compartment_id of this CreateOnDemandHttpProbeDetails.
Gets the headers of this CreateOnDemandHttpProbeDetails.
Gets the method of this CreateOnDemandHttpProbeDetails.
Gets the path of this CreateOnDemandHttpProbeDetails.
Gets the port of this CreateOnDemandHttpProbeDetails.
[Required] Gets the protocol of this CreateOnDemandHttpProbeDetails.
[Required] Gets the targets of this CreateOnDemandHttpProbeDetails.
Gets the timeout_in_seconds of this CreateOnDemandHttpProbeDetails.
Gets the vantage_point_names of this CreateOnDemandHttpProbeDetails.
Methods:
__init__(**kwargs)Initializes a new CreateOnDemandHttpProbeDetails object with values from keyword arguments.
- METHOD_GET = 'GET'¶
A constant which can be used with the method property of a CreateOnDemandHttpProbeDetails. This constant has a value of “GET”
- METHOD_HEAD = 'HEAD'¶
A constant which can be used with the method property of a CreateOnDemandHttpProbeDetails. This constant has a value of “HEAD”
- PROTOCOL_HTTP = 'HTTP'¶
A constant which can be used with the protocol property of a CreateOnDemandHttpProbeDetails. This constant has a value of “HTTP”
- PROTOCOL_HTTPS = 'HTTPS'¶
A constant which can be used with the protocol property of a CreateOnDemandHttpProbeDetails. This constant has a value of “HTTPS”
- __init__(**kwargs)¶
Initializes a new CreateOnDemandHttpProbeDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
compartment_id (str) – The value to assign to the compartment_id property of this CreateOnDemandHttpProbeDetails.
targets (list[str]) – The value to assign to the targets property of this CreateOnDemandHttpProbeDetails.
vantage_point_names (list[str]) – The value to assign to the vantage_point_names property of this CreateOnDemandHttpProbeDetails.
port (int) – The value to assign to the port property of this CreateOnDemandHttpProbeDetails.
timeout_in_seconds (int) – The value to assign to the timeout_in_seconds property of this CreateOnDemandHttpProbeDetails.
protocol (str) – The value to assign to the protocol property of this CreateOnDemandHttpProbeDetails. Allowed values for this property are: “HTTP”, “HTTPS”
method (str) – The value to assign to the method property of this CreateOnDemandHttpProbeDetails. Allowed values for this property are: “GET”, “HEAD”
path (str) – The value to assign to the path property of this CreateOnDemandHttpProbeDetails.
headers (dict(str, str)) – The value to assign to the headers property of this CreateOnDemandHttpProbeDetails.
- property compartment_id¶
[Required] Gets the compartment_id of this CreateOnDemandHttpProbeDetails. The OCID of the compartment.
- Returns
The compartment_id of this CreateOnDemandHttpProbeDetails.
- Return type
str
- property headers¶
Gets the headers of this CreateOnDemandHttpProbeDetails. A dictionary of HTTP request headers.
Note: Monitors and probes do not support the use of the Authorization HTTP header.
- Returns
The headers of this CreateOnDemandHttpProbeDetails.
- Return type
dict(str, str)
- property method¶
Gets the method of this CreateOnDemandHttpProbeDetails. Allowed values for this property are: “GET”, “HEAD”
- Returns
The method of this CreateOnDemandHttpProbeDetails.
- Return type
str
- property path¶
Gets the path of this CreateOnDemandHttpProbeDetails. The optional URL path to probe, including query parameters.
- Returns
The path of this CreateOnDemandHttpProbeDetails.
- Return type
str
- property port¶
Gets the port of this CreateOnDemandHttpProbeDetails. The port on which to probe endpoints. If unspecified, probes will use the default port of their protocol.
- Returns
The port of this CreateOnDemandHttpProbeDetails.
- Return type
int
- property protocol¶
[Required] Gets the protocol of this CreateOnDemandHttpProbeDetails. Allowed values for this property are: “HTTP”, “HTTPS”
- Returns
The protocol of this CreateOnDemandHttpProbeDetails.
- Return type
str
- property targets¶
[Required] Gets the targets of this CreateOnDemandHttpProbeDetails. A list of targets (hostnames or IP addresses) of the probe.
- Returns
The targets of this CreateOnDemandHttpProbeDetails.
- Return type
list[str]
- property timeout_in_seconds¶
Gets the timeout_in_seconds of this CreateOnDemandHttpProbeDetails. The probe timeout in seconds. Valid values: 10, 20, 30, and 60. The probe timeout must be less than or equal to intervalInSeconds for monitors.
- Returns
The timeout_in_seconds of this CreateOnDemandHttpProbeDetails.
- Return type
int
- property vantage_point_names¶
Gets the vantage_point_names of this CreateOnDemandHttpProbeDetails. A list of names of vantage points from which to execute the probe.
- Returns
The vantage_point_names of this CreateOnDemandHttpProbeDetails.
- Return type
list[str]